#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release 

USER=""

case $ID in 
  centos)
    USER="apache"
  ;;
  debian)
    USER="www-data"
  ;;
  *)
    echo $ID inconnu !
    exit 1
  ;;
esac

launcher="/bin/bash"
if [ ! -f /bin/bash ]
then
  launcher="/bin/sh"
fi

launcherphp="/bin/php"
if [ -f /usr/bin/php ]
then
  launcherphp="/usr/bin/php"
fi


cat > /etc/sudoers.d/radmin <<- EOF
$USER ALL=(ALL) NOPASSWD: /usr/local/radmin/scripts/command_helper.sh

Defaults:apache !requiretty
Defaults:apache lecture = never
EOF


cat > /etc/systemd/system/radmin.service <<-EOF
[Unit]
Description=Radmin client
Documentation=
Wants=network-online.target
After=

[Service]
User=root
Type=simple
ExecStart=$launcherphp /usr/local/radmin/radmin.php > /dev/null
ExecStop=/usr/bin/sudo killall ssh -v -s 9; /usr/bin/sudo killall autossh -v -s 9
Restart=on-failure
RestartSec=5
WorkingDirectory=/usr/local/radmin
KillMode=control-group
KillSignal=SIGKILL

[Install]
WantedBy=multi-user.target
EOF
systemctl daemon-reload

systemctl enable radmin >/dev/null 
systemctl restart radmin >/dev/null

rm -rf /etc/cron.d/radmin
systemctl restart crond

exit 0